当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-27 23:11 
头像

注册: 2008-09-05 23:31
帖子: 1363
系统: LinuxMint17
送出感谢: 35
接收感谢: 11
:em20 如题,为什么用“更新管理器”检查到有更新内容,但是点击升级就是没有改变,而用命令
代码:
sudo apt-get upgrade
就可以安装那些更新呢?


_________________
茕茕
问题大海之一粟:http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=212497
NEMO-Actions使用方法:http://forum.ubuntu.org.cn/viewtopic.php?f=175&t=456548
在线编码转换:http://2cyr.com/decode/?lang=en


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-27 23:36 
头像

注册: 2007-09-26 17:34
帖子: 618
送出感谢: 0 次
接收感谢: 2
代码:
sudo apt-get upgrade

这只是刷新软件列表


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 0:12 
头像

注册: 2008-09-05 23:31
帖子: 1363
系统: LinuxMint17
送出感谢: 35
接收感谢: 11
代码:
sudo apt-get update
这个是干啥用的阿?


_________________
茕茕
问题大海之一粟:http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=212497
NEMO-Actions使用方法:http://forum.ubuntu.org.cn/viewtopic.php?f=175&t=456548
在线编码转换:http://2cyr.com/decode/?lang=en


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 0:14 
头像

注册: 2007-09-26 17:34
帖子: 618
送出感谢: 0 次
接收感谢: 2
highwind 写道:
代码:
sudo apt-get update
这个是干啥用的阿?

刷新软件源的软件列表


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 0:25 
头像

注册: 2008-09-05 23:31
帖子: 1363
系统: LinuxMint17
送出感谢: 35
接收感谢: 11
那如果
代码:
sudo apt-get upgrade
只是刷新软件列表的话,为啥我用这个命令可以安装那些更新了的软件阿?
呵呵,麻烦windwhinny来纠正下我观念上的错误吧,现在有点一头雾水了。 :em06 :em11

关键是为啥现在“更新管理器”失效了,怎么才能修复呢?


_________________
茕茕
问题大海之一粟:http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=212497
NEMO-Actions使用方法:http://forum.ubuntu.org.cn/viewtopic.php?f=175&t=456548
在线编码转换:http://2cyr.com/decode/?lang=en


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 0:29 
头像

注册: 2007-09-26 17:34
帖子: 618
送出感谢: 0 次
接收感谢: 2
.........看错。。。。
sudo apt-get update是刷新软件源的软件列表
sudo apt-get upgrade不知道是啥


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 2:49 
头像

注册: 2007-06-13 15:57
帖子: 12564
地址: 在他乡
送出感谢: 50
接收感谢: 87
man
--help


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 12:36 
头像

注册: 2008-09-05 23:31
帖子: 1363
系统: LinuxMint17
送出感谢: 35
接收感谢: 11
daf3707 您知道这个“更新管理器”为啥会“失效“呢?


_________________
茕茕
问题大海之一粟:http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=212497
NEMO-Actions使用方法:http://forum.ubuntu.org.cn/viewtopic.php?f=175&t=456548
在线编码转换:http://2cyr.com/decode/?lang=en


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 13:39 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
失效也许是新立得的包损坏了,可以进修复模式试下修复,还不行,就重装新立得试试。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 为什么用更新管理器更新而用命令就可以
帖子发表于 : 2009-06-28 14:53 
头像

注册: 2008-09-05 23:31
帖子: 1363
系统: LinuxMint17
送出感谢: 35
接收感谢: 11
我描述的问题,就是在下列几副图来回循环,点击安装更新无效
附件:
Screenshot-更新管理器-1.png
Screenshot-更新管理器-1.png [ 80.6 KiB | 被浏览 790 次 ]


附件:
Screenshot-无标题窗口.png
Screenshot-无标题窗口.png [ 7.15 KiB | 被浏览 821 次 ]

附件:
Screenshot-更新管理器.png
Screenshot-更新管理器.png [ 84.34 KiB | 被浏览 787 次 ]


附件:
Screenshot-更新管理器-1.png
Screenshot-更新管理器-1.png [ 80.6 KiB | 被浏览 790 次 ]



而使用
代码:
sudo apt-get upgrade

代码:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列的软件包将被升级:
  libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa libssl-dev libssl0.9.8
  mesa-utils openssl
共升级了 7 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 8360kB 的软件包。
解压缩后会消耗掉 8192B 的额外空间。
您希望继续执行吗?[Y/n]
获取:1 http://mirrors.163.com jaunty-proposed/main libgl1-mesa-dri 7.4-0ubuntu3.2 [2728kB]
获取:2 http://mirrors.163.com jaunty-proposed/main libgl1-mesa-glx 7.4-0ubuntu3.2 [114kB]
获取:3 http://mirrors.163.com jaunty-proposed/main libglu1-mesa 7.4-0ubuntu3.2 [179kB]
获取:4 http://mirrors.163.com jaunty-proposed/main mesa-utils 7.4-0ubuntu3.2 [44.4kB]
获取:5 http://mirrors.163.com jaunty-security/main libssl-dev 0.9.8g-15ubuntu3.2 [1973kB]
获取:6 http://mirrors.163.com jaunty-security/main libssl0.9.8 0.9.8g-15ubuntu3.2 [2924kB]
获取:7 http://mirrors.163.com jaunty-security/main openssl 0.9.8g-15ubuntu3.2 [398kB]
下载 8360kB,耗时 3s (2416kB/s)
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 193261 个文件和目录。)
正预备替换 libgl1-mesa-dri 7.4-0ubuntu3.1 (使用 .../libgl1-mesa-dri_7.4-0ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 libgl1-mesa-dri ...
正预备替换 libgl1-mesa-glx 7.4-0ubuntu3.1 (使用 .../libgl1-mesa-glx_7.4-0ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 libgl1-mesa-glx ...
正预备替换 libglu1-mesa 7.4-0ubuntu3.1 (使用 .../libglu1-mesa_7.4-0ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 libglu1-mesa ...
正预备替换 mesa-utils 7.4-0ubuntu3.1 (使用 .../mesa-utils_7.4-0ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 mesa-utils ...
正预备替换 libssl-dev 0.9.8g-15ubuntu3 (使用 .../libssl-dev_0.9.8g-15ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 libssl-dev ...
正预备替换 libssl0.9.8 0.9.8g-15ubuntu3 (使用 .../libssl0.9.8_0.9.8g-15ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 libssl0.9.8 ...
正预备替换 openssl 0.9.8g-15ubuntu3 (使用 .../openssl_0.9.8g-15ubuntu3.2_i386.deb) ...
正在解压缩将用于更替的包文件 openssl ...
正在处理用于 man-db 的触发器...
正在设置 libgl1-mesa-glx (7.4-0ubuntu3.2) ...

正在设置 libgl1-mesa-dri (7.4-0ubuntu3.2) ...
正在设置 libglu1-mesa (7.4-0ubuntu3.2) ...

正在设置 mesa-utils (7.4-0ubuntu3.2) ...
正在设置 libssl0.9.8 (0.9.8g-15ubuntu3.2) ...

正在设置 libssl-dev (0.9.8g-15ubuntu3.2) ...
正在设置 openssl (0.9.8g-15ubuntu3.2) ...

正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place

则可以完成安装。


_________________
茕茕
问题大海之一粟:http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=212497
NEMO-Actions使用方法:http://forum.ubuntu.org.cn/viewtopic.php?f=175&t=456548
在线编码转换:http://2cyr.com/decode/?lang=en


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译